public class ROT13  {

    private int shift;

    ROT13(Character cs, Character cf) {
        shift = cf - cs;
    }

    ROT13() {
        this.shift = 13;
    }

    public String crypt(String text) throws UnsupportedOperationException {
        return encrypt(text);
    }

    public String encrypt(String text) {
        StringBuilder encrypted = new StringBuilder();
        for (int i = 0; i < text.length(); i++) {
            if (Character.isLowerCase(text.charAt(i)))
                encrypted.append((char) ('a' + ( (text.charAt(i) - 'a')  + shift) % 26));
            else if (Character.isUpperCase((text.charAt(i))))
                encrypted.append((char) ('A' + ( (text.charAt(i) - 'A') + shift) %26));
            else encrypted.append(text.charAt(i));
            System.out.println(encrypted);
        }
        return encrypted.toString();
    }

    public String decrypt(String text) {
        StringBuilder encrypted = new StringBuilder();
        for (int i = 0; i < text.length(); i++) {
            if (Character.isLowerCase(text.charAt(i)))
                encrypted.append((char) ('a' + ( (text.charAt(i) - 'a')  + (26 - shift)) % 26));
            else if (Character.isUpperCase((text.charAt(i))))
                encrypted.append((char) ('A' + ( (text.charAt(i) - 'A') + (26 - shift)) %26));
            else encrypted.append(text.charAt(i));
        }
        return encrypted.toString();
    }

    public static String rotate(String s, Character c) {
        int index = s.indexOf(c);
        String beginning = s.substring(index, s.length());
        String end = s.substring(0, index);
        return beginning + end;
    }

}
